package com.testor.module.safeCheck.service;


/**
 *  通过xxl-job生成任务 处理类
 * 
 * @author testor-framework
 * @date 2022-08-04 11:07:59
 */
public interface HazardCheckTaskService {

    void createCheckTaskExecutor();

    /**
     * 修改巡检计划消息提醒配置
     * 查找所有已存的 任务到期前Job
     * 停止、删除所有 巡检任务到期前 Job
     * 创建配置变更后的job
     *
     * 此方法可 异步执行
     */
    void handleNearOverdueJobByCof();
}
